%define		pearname	SOAP
%define		status		beta
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - Client/Server for PHP
Summary(pl.UTF-8):	%{pearname} - klient/serwer dla PHP
Name:		php-pear-%{pearname}
Version:	0.14.0
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	f559b8602147d6abbb28e11b4484844a
URL:		http://pear.php.net/package/SOAP/
BuildRequires:	php-pear-PEAR >= 1:1.5.4
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.654
Requires:	php(bcmath)
Requires:	php(core) >= 4.1
Requires:	php(pcre)
Requires:	php-pear
Requires:	php-pear-HTTP_Request
Requires:	php-pear-PEAR-core
Suggests:	php-pear-Mail
Suggests:	php-pear-Mail_Mime
Suggests:	php-pear-Net_DIME
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq_pear Mail.* Mail/Mime.* Net/DIME.*

%description
Implementation of SOAP protocol and services.

In PEAR status of this package is; %{status}.

%description -l pl.UTF-8
Implementacja protokołu SOAP i jego serwisów.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

mv .%{php_pear_dir}/tools .
mv docs/%{pearname}/example examples

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log 
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/SOAP
%dir %{php_pear_dir}/SOAP/Transport
%dir %{php_pear_dir}/SOAP/Server
%dir %{php_pear_dir}/SOAP/Server/TCP
%dir %{php_pear_dir}/SOAP/Type
%{php_pear_dir}/SOAP/*.php
%{php_pear_dir}/SOAP/Transport/*.php
%{php_pear_dir}/SOAP/Server/*.php
%{php_pear_dir}/SOAP/Server/TCP/Handler.php
%{php_pear_dir}/SOAP/Type/*.php
%{_examplesdir}/%{name}-%{version}
%changelog
* Thu Feb 28 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-SOAP.git;a=log;h=master

* Thu Feb 28 2019 Adam Gołębiowski <adamg@pld-linux.org> 158f1bd
- updated to 0.14.0

* Wed May 14 2014 Elan Ruusamäe <glen@delfi.ee> 3733d85
- use rpm4/rpm5 compatible _noautoreq pear

* Wed May 14 2014 Elan Ruusamäe <glen@delfi.ee> e1118a5
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Sun Mar 25 2012 Elan Ruusamäe <glen@pld-linux.org> d4c1d95
- up to 0.13.0

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 67ce483
- updated deps with pearize.sh
- release 2

* Tue Aug 05 2008 Adam Gołębiowski <adamg@pld-linux.org> a35b1c3
- updated to 0.12.0

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> bdd26d3
- rel 2

* Thu Aug 23 2007 Adam Gołębiowski <adamg@pld-linux.org> 1d85f83
- updated to 0.11.0

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 92a7bb7
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b7f9970
- converted to UTF-8

* Tue Nov 21 2006 Elan Ruusamäe <glen@pld-linux.org> 7607e56
- rel 2: use php(extension) virtuals

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 646e94b
- BR rpm-build macros >= 1.300 for %pear_ macros

* Mon Apr 24 2006 Adam Gołębiowski <adamg@pld-linux.org> e0f70f4
- updated to 0.9.4

* Sun Apr 02 2006 Jakub Bogusz <qboosh@pld-linux.org> e4b3a32
- unified

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> 49c1243
- 0.9.3

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 7f745cd
- BR php-pear-PEAR

* Sun Nov 20 2005 Elan Ruusamäe <glen@pld-linux.org> 338eec0
- rel 3

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> 0e66666
- rel 2

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> d6056d9
- semi automatically added deps from pear

* Mon Sep 19 2005 Elan Ruusamäe <glen@pld-linux.org> 8f6badf
- integer BR

